#
# spec file for package rubygem-webpacker
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-webpacker
Version:        5.4.4
Release:        1.5
%define mod_name webpacker
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.4.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/rails/webpacker
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Use webpack to manage app-like JavaScript modules in Rails
License:        MIT

%description
Use webpack to manage app-like JavaScript modules in Rails.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 5.4.4, see bundled CHANGELOG.md
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 5.4.3
  see installed CHANGELOG.md
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 5.4.0
  see installed CHANGELOG.md
  [#]# [[5.4.0]](https://github.com/rails/webpacker/compare/v5.4.0...5.3.0) - 2021-05-18
  - Fix compatibility with Psych 4
  [#]# [[5.3.0]](https://github.com/rails/webpacker/compare/v5.3.0...5.2.1) - 2021-04-27
  - Adds experimental Yarn 2 support. Note you must manually set `nodeLinker: node-modules` in your `.yarnrc.yml`.
  - Keep backups, even when they're old [#2912](https://github.com/rails/webpacker/pull/2912)
  [#]# [[5.2.2]](https://github.com/rails/webpacker/compare/v5.2.1...5.2.2) - 2021-04-27
  - Bump deps and remove node-sass [#2997](https://github.com/rails/webpacker/pull/2997).
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 5.2.1
  see installed CHANGELOG.md
  [#]# [[5.2.1]](https://github.com/rails/webpacker/compare/v5.2.0...5.2.1) - 2020-08-17
  - Revert [#1311](https://github.com/rails/webpacker/pull/1311).
  [#]# [[5.2.0]](https://github.com/rails/webpacker/compare/v5.1.1...5.2.0) - 2020-08-16
  - Bump dependencies and fixes. See [diff](https://github.com/rails/webpacker/compare/v5.1.1...5-x-stable) for changes.
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 5.1.1
  see installed CHANGELOG.md
  [#]# [[5.1.1]](https://github.com/rails/webpacker/compare/v5.1.0...v5.1.1) - 2020-04-20
  - Update [TypeScript documentation](https://github.com/rails/webpacker/blob/master/docs/typescript.md) and installer to use babel-loader for typescript.[(#2541](https://github.com/rails/webpacker/pull/2541)
  [#]# [[5.1.0]](https://github.com/rails/webpacker/compare/v5.0.1...v5.1.0) - 2020-04-19
  - Remove yarn integrity check [#2518](https://github.com/rails/webpacker/pull/2518)
  - Switch from ts-loader to babel-loader [#2449](https://github.com/rails/webpacker/pull/2449)
    Please see the [TypeScript documentation](https://github.com/rails/webpacker/blob/master/docs/typescript.md) to upgrade existing projects to use typescript with 5.1
  - Resolve multi-word snakecase WEBPACKER_DEV_SERVER env values [#2528](https://github.com/rails/webpacker/pull/2528)
  [#]# [[5.0.1]](https://github.com/rails/webpacker/compare/v5.0.0...v5.0.1) - 2020-03-22
  - Upgrade deps and fix sass loader config options bug [#2508](https://github.com/rails/webpacker/pull/2508)
  [#]# [[5.0.0]](https://github.com/rails/webpacker/compare/v4.2.2...v5.0.0) - 2020-03-22
  - Bump minimum node version [#2428](https://github.com/rails/webpacker/pull/2428)
  - Bump minimum ruby/rails version [#2415](https://github.com/rails/webpacker/pull/2415)
  - Add support for multiple files per entry [#2476](https://github.com/rails/webpacker/pull/2476)
  ```js
    entry: {
    home: ['./home.js', './home.scss'],
    account: ['./account.js', './account.scss']
    }
  ```
  You can now have two entry files with same names inside packs folder, `home.scss` and `home.js`
  And, other minor fixes, please see a list of changes [here](https://github.com/rails/webpacker/compare/v4.2.2...v5.0.0)
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 4.2.2
  see installed CHANGELOG.md
  [#]# [[4.2.2]](https://github.com/rails/webpacker/compare/v4.2.1...v4.2.2) - 2019-12-09
  - Fixed issue with webpack clean task for nested assets [#2391](https://github.com/rails/webpacker/pull/2391)
  [#]# [[4.2.1]](https://github.com/rails/webpacker/compare/v4.2.0...v4.2.1) - 2019-12-09
  - Fixed issue with webpack clean task [#2389](https://github.com/rails/webpacker/pull/2389)
* Mon Dec  2 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 4.2.0
  [#]# [[4.2.0]](https://github.com/rails/webpacker/compare/v4.1.0...v4.2.0) - 2019-11-12
  - Fixed installer bug [#2366](https://github.com/rails/webpacker/pull/2366)
  [#]# [[4.1.0]](https://github.com/rails/webpacker/compare/v4.0.7...v4.1.0) - 2019-11-12
  - Added favicon_pack_tag to generate favicon links [#2281](https://github.com/rails/webpacker/pull/2281)
  - Add support for Brotli compression [#2273](https://github.com/rails/webpacker/pull/2273)
  - Support .(sass|scss).erb [#2259](https://github.com/rails/webpacker/pull/2259)
  - Elm: Enable production optimizations when compiling in production [#2234](https://github.com/rails/webpacker/pull/2234)
  - fixes webpacker:clean erroring because of nested hashes [#2318](https://github.com/rails/webpacker/pull/2318)
  - Revert of production env enforcement [#2341](https://github.com/rails/webpacker/pull/2341)
  - Add a preload_pack_asset helper [#2124](https://github.com/rails/webpacker/pull/2124)
  - Record the compilation digest even on webpack error [#2117](https://github.com/rails/webpacker/pull/2117)
  - See more changes [here](https://github.com/rails/webpacker/compare/v4.0.7...v4.1.0)
* Fri Jun 28 2019 Manuel Schnitzer <mschnitzer@suse.com>
- initialize package
